Bug 37254 - Adjust warning messages when updating a UCS system
Adjust warning messages when updating a UCS system
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Software update
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 3.2-4-errata
Assigned To: Alexander Kläser
Florian Best
:
Depends on:
Blocks: 37360
  Show dependency treegraph
 
Reported: 2014-12-09 13:12 CET by Alexander Kläser
Modified: 2015-02-11 18:19 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): External feedback, Usability
Max CVSS v3 score:


Attachments
Initial alert dialog with warnings. (51.61 KB, image/png)
2014-12-10 16:19 CET, Alexander Kläser
Details
Alert dialog when connection timed out (20.87 KB, image/png)
2014-12-10 16:20 CET, Alexander Kläser
Details
Updater progress view (52.94 KB, image/png)
2014-12-10 19:45 CET, Alexander Kläser
Details
[new] Alert dialog when connection timed out (13.71 KB, image/png)
2014-12-16 13:09 CET, Florian Best
Details
[new] Initial alert dialog with warnings (32.34 KB, image/png)
2014-12-16 13:09 CET, Florian Best
Details
[new] Updater progress view (117.26 KB, image/png)
2014-12-16 13:10 CET, Florian Best
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2014-12-09 13:12:06 CET
Currently, the warning messages in the Online updater module can be misleading. In turn, this might let one conclude that something is broken and the system should be restarted (which is obviously not a very good idea).

* Apache might be down for a few minutes, if this happens, a popup is shown which suggests to login again after some time. Here it should rather be stated that a connection timeout is an expected behaviour during an update, the system must not be rebooted.

* The alert message before executing the update needs to be shortened and it needs to state that a longer connection timeout (i.e., web server or SSH) is possible and that the system must not rebooted.

* A link to the official release notes should be shown (currently it is the forum entry).

* The link to the release notes could also be shown along with the warning message (2nd point) on the progress page.
Comment 1 Alexander Kläser univentionstaff 2014-12-10 16:19:58 CET
Created attachment 6520 [details]
Initial alert dialog with warnings.
Comment 2 Alexander Kläser univentionstaff 2014-12-10 16:20:26 CET
Created attachment 6521 [details]
Alert dialog when connection timed out
Comment 3 Alexander Kläser univentionstaff 2014-12-10 19:45:52 CET
Created attachment 6523 [details]
Updater progress view
Comment 4 Alexander Kläser univentionstaff 2014-12-10 20:09:47 CET
Fixed [r56673].
YAML has been adjusted [r56674].

univention-updater (9.0.44-9):
* Bug #37254: clarified hints before and during updates
Comment 5 Florian Best univentionstaff 2014-12-15 19:37:34 CET
Typo: "Die Aktualisierung wurd durchgeführt."
s/wurd/wird/
Comment 6 Florian Best univentionstaff 2014-12-15 19:44:28 CET
typo: "Hinweise zur Aktulisierungs"
Comment 7 Alexander Kläser univentionstaff 2014-12-16 12:10:04 CET
Fixed the typos [r56880]. Package is building.

univention-updater (9.0.44-16):
* Bug #37254: adjusted typos
Comment 8 Florian Best univentionstaff 2014-12-16 13:09:02 CET
Fix: OK, the messages now sound really nice!
YAML: OK
Comment 9 Florian Best univentionstaff 2014-12-16 13:09:35 CET
Created attachment 6537 [details]
[new] Alert dialog when connection timed out
Comment 10 Florian Best univentionstaff 2014-12-16 13:09:55 CET
Created attachment 6538 [details]
[new] Initial alert dialog with warnings
Comment 11 Florian Best univentionstaff 2014-12-16 13:10:13 CET
Created attachment 6539 [details]
[new] Updater progress view
Comment 12 Moritz Muehlenhoff univentionstaff 2014-12-17 12:53:59 CET
http://errata.univention.de/ucs/3.2/253.html